Я собираюсь загрузить последнюю версию своего приложения в App Store, однако до этого момента я не проводил большого количества тестов на iOS 7.

Когда я использую симулятор, я получаю сообщение об ошибке:

iPhone 4S недоступен: выберите другое устройство и повторите попытку.

Моя цель развертывания правильно установлена ​​на 7.0.

Кто-нибудь сталкивался с этой ошибкой? Какие-нибудь решения?

Screenshot for error

7
user3746428 7 Ноя 2014 в 02:32

3 ответа

Лучший ответ

Убедитесь, что у вас установлены симуляторы iOS 7. Перейдите в Xcode -> Настройки -> Загрузки -> Компоненты и убедитесь, что симуляторы 7.0 и / или 7.1 загружены. Если рядом с каждым симулятором есть флажки, нажмите «Проверить и установить сейчас», чтобы увидеть, нужно ли повторно загружать какие-либо симуляторы.

12
JAL 7 Ноя 2014 в 00:34

Для тех, кто работает в Йосемити

Самая ранняя среда выполнения симулятора, поддерживаемая в Yosemite, - 7.1.

3
Luke 27 Янв 2015 в 23:14

В XCode в меню выберите: Xcode -> Open Developer Tool -> iOS Simulator.

Когда sim открыта в меню, выберите: Оборудование -> Устройство -> Управление устройствами ...

Нажмите кнопку + в нижнем левом углу и добавьте нужные устройства / ОС.

0
MikeNatty 4 Фев 2015 в 02:20